VST 3 SDK: EventBus Class Reference
Author: Steinberg

VST 3 SDK VST 3.7 SDK for developing VST plug-in

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Properties Macros Groups Pages
Public Member Functions | Protected Attributes | List of all members
EventBus Class Reference
VST Implementation Helper Classes

Description of an Event Bus. More...

`#include <vstbus.h>`

Inheritance diagram for EventBus:

## Public Member Functions
| EventBus (const TChar *name, BusType busType, int32 flags, int32 channelCount)
| Constructor of an EventBus.
bool | getInfo (BusInfo &info) SMTG_OVERRIDE
| Gets the BusInfo associated to this Event bus.
| OBJ_METHODS (Vst::EventBus, Vst::Bus)
Public Member Functions inherited from Bus
| Bus (const TChar *name, BusType busType, int32 flags)
| Constructor.
TBool | isActive () const
| Returns true if the bus is active.
void | setActive (TBool state)
| Activates the bus.
void | setName (const std::u16string &newName)
| Sets a new name for this bus.
void | setBusType (BusType newBusType)
| Sets a new busType for this bus.
void | setFlags (uint32 newFlags)
| Sets a new flags for this bus.

## Protected Attributes
int32 | channelCount

## Additional Inherited Members
Public Attributes inherited from Bus
OBJ_METHODS(Vst::Bus, FObject) protected BusType | busType
| < name
int32 | flags
| flags, see BusInfo::BusFlags
TBool | active
| activation state

## Detailed Description

Description of an Event Bus.

## Constructor & Destructor Documentation

EventBus | ( | const TChar * | name,
|  | BusType | busType,
|  | int32 | flags,
|  | int32 | channelCount
| ) |  |

Constructor of an EventBus.

## Member Function Documentation

bool getInfo | ( | BusInfo & | info | ) |
| virtual

Gets the BusInfo associated to this Event bus.

Reimplemented from Bus.

OBJ_METHODS | ( | Vst::EventBus | ,
|  | Vst::Bus |
| ) |  |

## Member Data Documentation

int32 channelCount
| protected

Empty

Copyright ©2024 Steinberg Media Technologies GmbH. All Rights Reserved. This documentation is under this license.